List Applicable Offers (Redemptions 1.0)
Returns applicable offers based on the check details.
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringUser
- Agent requiredUsed to Identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
- Type: stringpunchh
-app -device -id requiredThe app device ID helps Punchh identify each device so that certain rewards can be awarded individually to each device instead of per user. For example, the sign-up reward is given to each device ID to prevent fraudulent sign-ups so that a user cannot do repeated sign-ups from a single device to get rewards. It should not change even if the user resets a device. See the sample code to generate the punchh-app-device-id header.
- Type: string enumchannelrequired
Channel through which the order was placed. If a channel is defined in the Receipt Qualifier condition under Offers > Qualification Criteria in the Punchh platform, the API returns the list of offers applicable to the transaction after evaluating the value set for the channel. Possible values: mobile, chatbot.
values- mobile
- chatbot
- Type: stringclientrequired
OAuth client ID provided by the business
- Type: stringamount
Order amount based on items added to the cart
- Type: stringlocation
_id Location ID of the store
- Type: array object[] ·
This object used in the API request contains one or more menu items added to an order. It is mandatory to provide an array of menu items. See How To Send Menu Items to Punchh
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/redemptions/applicable_offers \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Accept: application/json' \
--header 'User-Agent: AppIdentifier/VersionNumber/BuildNumber(OS_Type)' \
--header 'punchh-app-device-id: APP_DEVICE_ID_GOES_HERE' \
--data '{
"client": "CLIENT_GOES_HERE",
"menu_items": [
{
"item_name": "Adult",
"item_qty": 1,
"item_amount": 100,
"menu_item_type": "M",
"menu_item_id": "1",
"menu_family": "1",
"menu_major_group": "1",
"serial_number": "1.1"
}
],
"amount": "100",
"location_id": "LOCATION_GOES_HERE",
"channel": "mobile"
}'
[
{
"menu_items": [
{
"item_name": "Adult",
"item_qty": 1,
"item_amount": 100,
"menu_item_type": "M",
"menu_item_id": "1",
"menu_family": "1",
"menu_major_group": "1",
"serial_number": "1.1"
}
],
"discount_amount": 2,
"reward": {
"created_at": "2019-04-02T22:46:32-07:00",
"end_date_tz": null,
"start_date_tz": "2019-04-02T22:46:32-07:00",
"updated_at": "2019-04-02T22:46:32-07:00",
"id": 2,
"image": "IMAGE_URL_GOES_HERE",
"status": "unredeemed",
"points": 0,
"discount_amount": 0,
"description": "",
"name": "2% off Subtotal Amount",
"redeemable_properties": ""
}
},
{
"menu_items": [
{
"item_name": "Adult",
"item_qty": 1,
"item_amount": 100,
"menu_item_type": "M",
"menu_item_id": "1",
"menu_family": "1",
"menu_major_group": "1",
"serial_number": "1.1"
}
],
"discount_amount": 2,
"reward": {
"created_at": "2019-04-04T04:00:34-07:00",
"end_date_tz": null,
"start_date_tz": "2019-04-04T04:00:34-07:00",
"updated_at": "2019-04-04T04:00:34-07:00",
"id": 3,
"image": "IMAGE_URL_GOES_HERE",
"status": "unredeemed",
"points": 0,
"discount_amount": 2,
"description": "$2 Off Your Order. Participating locations only.",
"name": "$2 Off Your Order",
"redeemable_properties": ""
}
},
{
"menu_items": [
{
"item_name": "Adult",
"item_qty": 1,
"item_amount": 100,
"menu_item_type": "M",
"menu_item_id": "1",
"menu_family": "1",
"menu_major_group": "1",
"serial_number": "1.1"
}
],
"discount_amount": 2,
"reward": {
"created_at": "2019-04-04T04:01:03-07:00",
"end_date_tz": null,
"start_date_tz": "2019-04-04T04:01:03-07:00",
"updated_at": "2019-04-04T04:01:03-07:00",
"id": 4,
"image": "IMAGE_URL_GOES_HERE",
"status": "unredeemed",
"points": 0,
"discount_amount": 0,
"description": "",
"name": "2% off Subtotal Amount",
"redeemable_properties": ""
}
},
{
"menu_items": [
{
"item_name": "Adult",
"item_qty": 1,
"item_amount": 100,
"menu_item_type": "M",
"menu_item_id": "1",
"menu_family": "1",
"menu_major_group": "1",
"serial_number": "1.1"
}
],
"discount_amount": 2,
"reward": {
"created_at": "2019-04-15T10:48:40-07:00",
"end_date_tz": null,
"start_date_tz": "2019-04-15T10:48:40-07:00",
"updated_at": "2019-04-15T10:48:40-07:00",
"id": 14,
"image": "IMAGE_URL_GOES_HERE",
"status": "unredeemed",
"points": 0,
"discount_amount": 0,
"description": "",
"name": "2% off Subtotal Amount",
"redeemable_properties": ""
}
}
]